﻿/*For all elements on page*/
*
{
	border-style: none;
	border-color: inherit;
	border-width: 0px;
	margin: 0px;
	padding: 0px;
	font-family: Verdana;
	font-size: 11px;
}
.top
{
	height: auto;
	position: relative;
	width: 100%;
	top: 0px;
	left: 0px;
	right: 0px;
	overflow: visible;
}

body, form
{
	height: 100%;
}

body
{
	margin: 0px;
}

/*Panel History and buttons*/
#UpdatePanelHistory
{
	width: 24.5%;
	height: 98.5%; 
	border: solid 1px black;
	background-color: #EEEEEE;
	position: absolute; 
	top: 0px;
	right: 0px;
	overflow: visible;
	overflow-x: hidden;
	overflow-y: auto; 
}

#HistoryWindow_HistoryContent, #HistoryTitle
{
	width: 100%;
}

.button
{
	float: left;
	text-align: left;
	padding-left: 3px;
	padding-right: 3px;
	height: 25px;
	margin: 3px;
	display: block;
	width: 75px;
	text-align: center;
}

.imgButton
{
	width: 20px;
	height: 20px;
	border: 0px;
}

.PanelButtons
{
	width: 200px;
	text-align: center;
	height: 25px;
}

.PanelHistoryContent
{
	width: 100%;
	height: 100%;
}

.HWOdd
{
	width: 100%;
	background-color: White;
}
.NameHist, .FolderHist
{
	display: inline-block;
	padding: 1%;
	vertical-align: top;
}

.TitleNameHist, .TitleFolderHist
{
	display: inline-block;
	padding: 1%;
	vertical-align: top;
}

.TitleNameHist, .TitleFolderHist
{
	width: 48%;
	font-weight: bold;
	background-color: #dddddd;
}


.NameHist
{
	width: 48%;
	overflow: hidden;
}

.FolderHist
{
	width: 48%;
}

.ActiveItem
{
	font-weight: bold;
}

/*End Window History*/

/*Title of Object*/
.ControlTitle
{
	background-color: #CCCCCC;
	font-weight: bold;
	height: 18px;
	padding: 2px;
	width: auto;
}

.ControlTitle, .DependantsTitle, .DeterminantsTitle, .CurrentObjectTitle
{
	padding-left: 3px;
	padding-right: 3px;
	float: none;
	clear: both;
}

/*For all Update Panels on page*/
#UpdatePanelDocumentExplorer, #UpdatePanelObjExplorer, #UpdatePanelDepExplorer, #UpdatePanelHistory
{
	border: solid 1px black;
	float: left;
	background-color: #EEEEEE;
	margin: 0.25%;
}


/*Begin style for Document Explorer*/

#UpdatePanelDocumentExplorer
{
	width: 25%;
	height: 98.5%;
	overflow: visible;
	overflow-x: auto;
	overflow-y: auto; /*overflow:auto;*/
}

#RadTreeViewDocExpl
{
	background-color: #EEEEEE;
	overflow: visible;
	width: 100%;
}
/*End Style for DocumentExplorer*/

/*Begin style for Dependencies Explorer*/
#UpdatePanelDepExplorer
{
	width: 48.5%;
	height: 45.5%;
	overflow: visible;
	overflow-x: hidden;
	overflow-y: auto; 
}

#TitleDE
{
	background-color: #dddddd;
	font-weight: bold;
}
.DependantsTitle, .DeterminantsTitle, .CurrentObjectTitle
{
	font-weight: bold;
	padding: 2px;
}

.DependantsTitle, .DeterminantsTitle
{
	background: #CCCCFF;
}

.CurrentObjectTitle
{
	background-color: #DDDDDD;
}

a
{
	text-decoration: none;
}

a:visited
{
	color: Green;
}
a:hover
{
	color: Red;
	cursor: pointer;
}

.Name, .Folder, .Value, .Img
{
	text-align: left;
	display: inline-block;
	vertical-align: middle;
	padding: 2px;
	overflow: hidden;
	height: 19px;
}

.Folder
{
	width: 35%;
}

.Name
{
	width: 33%;
}

.Img
{
	width: 16px;
	height: 16px;
}

.Value
{
	width: 23%;
}

.Odd
{
	background-color: White;
	width: 100%;
	height: 21px;
}

/*End style dependencies Explorer*/

/*Begin style for Object Explorer*/
#UpdatePanelObjExplorer
{
	width: 48.5%;
	height: 52%;
	overflow: visible;
	overflow-x: hidden;
	overflow-y: auto; 
}

#TitleObjExpl
{
	width: 100%;
}

.PropertyOE, .ValueOE, .TitlePropOE, .TitleValueOE
{
	display: inline-block;
	padding: 0.5%;
	vertical-align: top;
	overflow: visible;
}

.TitlePropOE, .TitleValueOE
{
	font-weight: bold;
	background-color: #dddddd;
}

.PropertyOE, .TitlePropOE
{
	width: 24%;
}

.TitleValueOE
{
	width: 73%;
}

.ValueOE
{
	width: 73%;
	overflow: hidden;
}

.RowOEGray
{
	width: 100%;
	height: auto;
}
.RowOE
{
	width: 100%;
	background-color: White;
	height: auto;
}

.showhideproperties
{
	display: none;
	width: 100%;
	height: 100%;
}

a.OE
{
	font-weight: bold;
	color: Black;
}
/*End style for Object Explorer*/

/*Style for private System.Web.UI.HtmlTextWriter GetHTMLArray(Array a, System.Web.UI.XhtmlTextWriter tw)*/
.Number, .arrayValue
{
	display: inline-block;
	padding: 0.5%;
	float: left;
	vertical-align: top;
}

.Number
{
	width: 10%;
	overflow: visible;
	text-align: left;
	padding-right: 2%;
}

.arrayValue
{
	width: 85%;
}

.Array
{
	width: 100%;
}

/*End style GetHTMLArray*/

/*Begin style voor tooltip*/

.tooltip
{
	width: 300px;
}

.tableToolTipTd, .indexDataTable
{
	padding: 1px 3px 1px 3px;
}



/*End style voor tooltip*/


/*Begin style tooltip for Object Explorer*/

.tableOE
{
	border-collapse: collapse;
}
.colName, .colType, .colText, .colValue, .Title
{
	text-align: left;
	padding: 3px;
	vertical-align: top;
}
.Title
{
	font-weight: bold;
}

.colType
{
	width: 70px;
}
.colValue
{
	min-width: 50px;
}
.colName
{
	min-width: 40px;
}

.colText
{
	max-width: 400px;
}
/*End style tooltip for Object Exoplorer*/


/*Panel result*/

#UpdatePanelFormulaResult
{
	border: solid 1px black;
	position: absolute;
	bottom: 0px;
	z-index: 10;
	background-color: #EEEEEE;
	width: 99.3%;
	height: auto;
	overflow: auto;
	margin-bottom: 0.5%;
	margin-left: 0.25%;
}

.FormulaResultContent
{
	padding: 0px;
	border-collapse: collapse;
	height: 100%;
	width: 100%;
	background-color: #EEEEEE;
}

.tableFormula
{
	float: left;
	padding: 1px;
}

/*.floatLeft
{
	font-weight: normal;
	position: relative;
}*/

/*.formula
{
	height: 100%;
	display: table;
	float: left;
}*/

.tableFormula, tr, td
{
	border-collapse: collapse;
}

.tableFormula
{
	border-left: 1px solid black;
	border-right: 1px solid black;
	margin-left: 3px;
	margin-right: 3px;
}
table.tableFormula tr td
{
	padding-left: 5px;
	padding-top: 1px;
	padding-right: 5px;
	padding-bottom: 1px;
	text-align: right;
}
.borderTopLeft, .borderTopRight, .borderBottomLeft, .borderBottomRight
{
	background-image: url(Icons/border.png);
	background-repeat: no-repeat;
	height: 1px;
	padding: 0px;
}

.borderTopLeft
{
	background-position: top left;
}
.borderTopRight
{
	background-position: top right;
}

.borderBottomLeft
{
	background-position: bottom left;
}

.borderBottomRight
{
	background-position: bottom right;
}
.indexDataTable
{
	font-weight: bold;
	text-align: left;
}

/*new */
.formularesult
{
	position: relative;
	display: block;
	float: left;
}

/*divFormulaResul is renamed to iconCollapseExpand*/
.iconCollapseExpand
{
	display: block;
}

.iconCollapseExpand, .floatLeftHidden
{
	float: left;
	font-weight: normal;	
}
.floatLeftHidden
{
	display: none;
}
.icon
{
	vertical-align: middle;
	height: 12px;
	width: 11px;
}
a
{
	text-decoration: none;
}
.formula
{
	float: left;
	display: block;
}
/*end new*/
/*End Panel result*/